%define tilp_version 1.17

Name:           gfm
Version:        1.07
Release:        0%{?dist}
Summary:        Texas Instruments handheld(s) file manipulation program

Group:          Applications/File
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        http://sourceforge.net/projects/tilp/files/tilp2-linux/tilp2-%{tilp_version}/%{name}-%{version}.tar.bz2

BuildRequires:  glib2-devel, pkgconfig, gtk2-devel, libglade2-devel, libticalcs2-devel

%description
The GFM is an application allowing for the manipulation of
single/group/tigroup files from all Texas Instruments handhelds.
It can create a new file, open an existing file, save file,
rename variables, remove variables, create folders, group files
into a group/tigroup file, and ungroup a group/tigroup file
into single files.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/gfm.desktop

%files
%{_bindir}/gfm
%{_mandir}/man1/gfm.1.gz
%{_datadir}/gfm/
%{_datadir}/applications/gfm.desktop

%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/gfm.mo

%doc README AUTHORS COPYING ABOUT-NLS

%changelog
* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.07-0
- Updated to latest upstream tilp version

* Wed Sep 12 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.06-1
- Fixed spelling error in description

* Thu Jul 05 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.06-0
- Updated package to 1.06, vastly improved specfile

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.05-0
- Initial version of the package
